Bug 1258968 - rhcert is not able to create result file if the openstack result file is greater than ~140MB
rhcert is not able to create result file if the openstack result file is grea...
Status: NEW
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Greg Nichols
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 11:44 EDT by Anshul Behl
Modified: 2015-09-15 12:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anshul Behl 2015-09-01 11:44:29 EDT
Description of problem:

If the openstack-log.tar.bz2 file is greater than ~140MB, rhcert fails to create its own result file and hence the whole integration process fails.


Version-Release number of selected component (if applicable):


How reproducible:
Everytime


Steps to Reproduce:
1. Create a openstack result file which is around 130-140MB in size
2. Check after completion of tests from the UI the size of rhcert.xml.gz


Let me know if you need any more details
Comment 1 Greg Nichols 2015-09-08 16:32:05 EDT
What situations result in 140MB tar archives?
Comment 2 Anshul Behl 2015-09-09 03:28:49 EDT
There were many partners who created files larger than 140MB, partner openstack deployment can vary a lot and thus can result in very large log files also.

Rohan and Neeti can maybe comment on this more.
Comment 3 Anshul Behl 2015-09-09 03:31:34 EDT
There were many partners who created files larger than 140MB, partner openstack deployment can vary a lot and thus can result in very large log files also.

Rohan and Neeti can maybe comment on this more.
Comment 5 Anshul Behl 2015-09-09 09:49:23 EDT
I created a random binary file under the directories that sos was collecting, increasing the size of sos tarball which in turn increased the size of logs to around 140MB. We can meet to discuss this if you want.
Comment 6 Greg Nichols 2015-09-15 12:26:57 EDT
rhcert is configured to limit attachment size to 128MB.   This setting may be changed in /etc/rhcert.xml:

<file-system maximum-attachment-size="134217728" results-warning-size="12582912">

Warnings appear in the client daemon logs when attachments are too big:

[root@intel-s3e37-01 ~]# grep "too big to attach to the results" /var/log/rhcert/RedHatCertDaemon.log 
Warning: a.log size: 146800640 is too big to attach to the results.
Warning: 140M.bin size: 146800640 is too big to attach to the results.
Warning: 140M.bin size: 146800640 is too big to attach to the results.

We could increase the default limit, though I'm not sure how big a results file can be consumed through CWE.

We could also make this issue more visible by attaching the file name and size, and skip the payload, replaced by an error message.

I'd also like to understand why results are this big.

Note You need to log in before you can comment on or make changes to this bug.